#include "dialog.h"
#include "ui_dialog.h"
#include <qdebug.h>
#include <QSqlQuery>
#include <QSqlRecord>
#include <QSqlError>

Dialog::Dialog(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::Dialog)
{
    ui->setupUi(this);

    lafenetreTag.show();

    connect(&lafenetreTag, &FenetreTag::emitTag, this, &Dialog::rechercherDansBDD);
    //Identique a connect(&lafenetreTag, SIGNAL(emitTag()), this, SLOT(rechercherDansBDD()));
}

Dialog::~Dialog()
{
    delete ui;
}

void Dialog::rechercherDansBDD(const QString& Tag)
{
    ui->TagBat->setText(Tag);

    maconnexion = QSqlDatabase::addDatabase("QMYSQL");

    maconnexion.setHostName("localhost");
    maconnexion.setDatabaseName("Batterie");

    maconnexion.setUserName("root");
    maconnexion.setPassword("Projet2020");

    if( maconnexion.open() )
    {
        qDebug() << "Connexion...";

        QSqlQuery qry;
        QString req = "SELECT * FROM Bat WHERE TagBat='";
        req += Tag;
        req += "'";

        qry.prepare(req);

        if( !qry.exec() )
            qDebug() << qry.lastError();
          else
          {
            qDebug( "Selected!" );

            /*QSqlRecord rec = qry.record();
            int cols = rec.count();*/
            int nbResult = qry.size();
            QString temp;
            /*for( int c=0; c<cols; c++ )
              temp += rec.fieldName(c) + ((c<cols-1)?"\t":"");
            qDebug() << temp;*/

            if (nbResult > 0)
            {
                while( qry.next() )
                {
                  ui->TagBat->setText(qry.value(1).toString());
                  ui->TypeBat->setText(qry.value(2).toString());
                  ui->TensionBat->setText(qry.value(3).toString());
                  ui->CapaciteBat->setText(qry.value(4).toString());
                  ui->NiveauBat->setText(qry.value(5).toString());
                  ui->NbCyclesBat->setText(qry.value(6).toString());
                  //qDebug() << temp;
                }
            }
            else
            {
                ui->TagBat->setText("Not registered");
                ui->TypeBat->clear();
                ui->TensionBat->clear();
                ui->CapaciteBat->clear();
                ui->NiveauBat->clear();
                ui->NbCyclesBat->clear();
            }
          }
        maconnexion.close();
    }
    else {
        qDebug() << "Erreur de connexion a la Base";
    }


}
