#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QtSql/QSqlDatabase>

#include "fenetretag.h"

namespace Ui {
class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = nullptr);
    ~Dialog();

private:
    Ui::Dialog *ui;
    FenetreTag lafenetreTag;
    QSqlDatabase maconnexion;

public slots:
    void rechercherDansBDD(const QString&);

};

#endif // DIALOG_H
